Installing Node.js

FastX requires Node.js in order to use the Web Client as well as advanced features such as the Gateway Server or Load Balancing

The install.sh script will attempt to find and download the proper version of Node.js to run these features.  Users who do not have access to the outside network or are behind a firewall, may not be able to automatically access the proper version.

In these cases, Node.js must be installed manually

Instructions for manual installation can be found at

https://github.com/nodesource/distributions